Subject: Re: [core] draft-ietf-core-resource-directory - More headaches w/ context

From: peter van der Stok <[email-masked]>
Date: Mon, 04 Sep 2017 09:41:14 +0200

Hi Jim,

Indeed, the text 5.3.4 can confuse people.
We have added an entity-relationship model to he draft that shows that 
context is an attribute of the registration.
Currently, all links of the registration resource share the same 
context.
Citing the context when comparing links in the same registration 
resource is superfluous.
I think that 5.3.1 should read about all links over all registration 
resources within an RD.

Text will be modified.

Thanks for pointing this out.

Peter

Jim Schaad schreef op 2017-08-31 06:55:
> In reading through and working on implementing this draft, I have found 
> what
> appears to me to be conflicting language on the context parameter.
> 
> Section 5.3.4 indicates that context + target could have collisions and 
> that
> this is likely to occur if there are multiple configuration tools.  
> This
> text appears to me to indicate that the context can be different for 
> each
> link in a registration resource.  Each update could provide a different
> context.  (I will note that the text probably needs to discuss dealing 
> with
> both normalization of the context and building the full URI from the 
> context
> and target when doing the comparison.  The pairs
> <coap://ep.example.com:5683, /foo/bar> and  <coap://ep.example.com/foo,
> /bar> should probably compare as identical.
> 
> Section 5.4.1 in the third paragraph talks about updating the lifetime 
> and
> context in the same paragraph  Since I know that the lifetime is a 
> parameter
> of the registration resource, it is reasonable from the context to 
> assume
> that the context would also be a parameter of the registration resource
> rather than of a link.
> 
> In my opinion, these are conflicting concepts of what the meaning of 
> context
> is.  Would it be possible to figure out which is supposed to be correct 
> and
> both let me know and update the document?
> 
> Jim
> 
> 
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core